#import "LocalizationExampleObject.h"

@implementation LocalizationExampleObject

- (void)InfoPanel:(id)sender
{
	if (![NSBundle loadNibNamed:@"InfoPanel" owner:self])  {
	NSLog(@"Failed to load InfoPanel.nib");
        NSBeep();
        return;
        }

}

- (void)MoreInfo:(id)sender
{
    if (![NSBundle loadNibNamed:@"MoreInfo" owner:self])  {
        NSLog(@"Failed to load MoreInfo.nib");
        NSBeep();
        return;
        }

}

- (void)applicationDidFinishLaunching:(NSNotification *)notification
// In order for your object to receive this notification make sure that
// your object is a delegate or "File's Owner" in IB.
// Connected from "File's Owner" to AmortControlObject in this case.
{

    [theWindow setTitle:NSLocalizedString(@"English Version", @"Title of the main window")];

}

- (void)myAction1:(id)sender
{

    [theTextField setStringValue:NSLocalizedString(@"This is a localization example", @"Text contained in myAction1")];

    
}

- (void)myAction2:(id)sender
{
    [theTextField setStringValue:NSLocalizedString(@"Using the OpenStep API's", @"Text contained in myAction2")];

}

- (void)myAction3:(id)sender
{
    [theTextField setStringValue:NSLocalizedString(@"Hopefully this example will help you understand", @"Text contained in myAction3")];

}

- (void)myAction4:(id)sender
{
    [theTextField setStringValue:NSLocalizedString(@"How localization is accomplished", @"Text contained in myAction4")];

}

@end
