
// Copyright (c) 1997 by Don Yacktman
// All rights reserved.
// Permission to use this code in your application, whether
// commercial, shareware, or freeware, is granted.
// This notice may not be removed or altered.


#import <AppKit/AppKit.h>
#import "Animator.h"

// 1 out of this many clock ticks will start
// a new envelope flying
#define FREQUENCY 5	

// max number of envelopes that can be on the
// screen at any given time
#define MAX_SPEWS 40


@interface Spewer:NSObject
{
	BOOL createOK;
	Animator *animator;
    NSMutableArray *windowList;
	id initiator;
    NSMutableArray *_extraList;
    NSMutableArray *idleWindows;
}

- init;
- start:sender;
- (void)stop:(id)sender;
- (BOOL)windowShouldClose:(id)sender;
- (void)dealloc;
- addWindow;
- move:sender;

@end